Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# codec.h File Reference

`#include <ogg/ogg.h>`

Include dependency graph for codec.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | alloc_chain
struct | vorbis_block
struct | vorbis_comment
struct | vorbis_dsp_state
struct | vorbis_info
## Defines
#define | OV_FALSE -1
#define | OV_EOF -2
#define | OV_HOLE -3
#define | OV_EREAD -128
#define | OV_EFAULT -129
#define | OV_EIMPL -130
#define | OV_EINVAL -131
#define | OV_ENOTVORBIS -132
#define | OV_EBADHEADER -133
#define | OV_EVERSION -134
#define | OV_ENOTAUDIO -135
#define | OV_EBADPACKET -136
#define | OV_EBADLINK -137
#define | OV_ENOSEEK -138
## Typedefs
typedef vorbis_info | vorbis_info
typedef vorbis_dsp_state | vorbis_dsp_state
typedef vorbis_block | vorbis_block
typedef vorbis_comment | vorbis_comment
## Functions
void | vorbis_info_init (vorbis_info *vi)
void | vorbis_info_clear (vorbis_info *vi)
void | vorbis_comment_init (vorbis_comment *vc)
void | vorbis_comment_add (vorbis_comment *vc, char *comment)
void | vorbis_comment_add_tag (vorbis_comment *vc, char *tag, char *contents)
char * | vorbis_comment_query (vorbis_comment *vc, char *tag, int count)
int | vorbis_comment_query_count (vorbis_comment *vc, char *tag)
void | vorbis_comment_clear (vorbis_comment *vc)
int | vorbis_block_init (vorbis_dsp_state *v, vorbis_block *vb)
int | vorbis_block_clear (vorbis_block *vb)
void | vorbis_dsp_clear (vorbis_dsp_state *v)
int | vorbis_analysis_init (vorbis_dsp_state *v, vorbis_info *vi)
int | vorbis_commentheader_out (vorbis_comment *vc, ogg_packet *op)
int | vorbis_analysis_headerout (vorbis_dsp_state *v, vorbis_comment *vc, ogg_packet *op, ogg_packet *op_comm, ogg_packet *op_code)
float ** | vorbis_analysis_buffer (vorbis_dsp_state *v, int vals)
int | vorbis_analysis_wrote (vorbis_dsp_state *v, int vals)
int | vorbis_analysis_blockout (vorbis_dsp_state *v, vorbis_block *vb)
int | vorbis_analysis (vorbis_block *vb, ogg_packet *op)
int | vorbis_synthesis_headerin (vorbis_info *vi, vorbis_comment *vc, ogg_packet *op)
int | vorbis_synthesis_init (vorbis_dsp_state *v, vorbis_info *vi)
int | vorbis_synthesis (vorbis_block *vb, ogg_packet *op)
int | vorbis_synthesis_blockin (vorbis_dsp_state *v, vorbis_block *vb)
int | vorbis_synthesis_pcmout (vorbis_dsp_state *v, float ***pcm)
int | vorbis_synthesis_read (vorbis_dsp_state *v, int samples)
long | vorbis_packet_blocksize (vorbis_info *vi, ogg_packet *op)

## Define Documentation

#define OV_EBADHEADER -133

#define OV_EBADLINK -137

#define OV_EBADPACKET -136

#define OV_EFAULT -129

#define OV_EIMPL -130

#define OV_EINVAL -131

#define OV_ENOSEEK -138

#define OV_ENOTAUDIO -135

#define OV_ENOTVORBIS -132

#define OV_EOF -2

#define OV_EREAD -128

#define OV_EVERSION -134

#define OV_FALSE -1

#define OV_HOLE -3

## Typedef Documentation

typedef struct vorbis_block vorbis_block

typedef struct vorbis_comment vorbis_comment

typedef struct vorbis_dsp_state vorbis_dsp_state

typedef struct vorbis_info vorbis_info

## Function Documentation

int vorbis_analysis | ( | vorbis_block * | vb,
|  | ogg_packet * | op
| ) |

int vorbis_analysis_blockout | ( | vorbis_dsp_state * | v,
|  | vorbis_block * | vb
| ) |

float** vorbis_analysis_buffer | ( | vorbis_dsp_state * | v,
|  | int | vals
| ) |

int vorbis_analysis_headerout | ( | vorbis_dsp_state * | v,
|  | vorbis_comment * | vc,
|  | ogg_packet * | op,
|  | ogg_packet * | op_comm,
|  | ogg_packet * | op_code
| ) |

int vorbis_analysis_init | ( | vorbis_dsp_state * | v,
|  | vorbis_info * | vi
| ) |

int vorbis_analysis_wrote | ( | vorbis_dsp_state * | v,
|  | int | vals
| ) |

int vorbis_block_clear | ( | vorbis_block * | vb | ) |

int vorbis_block_init | ( | vorbis_dsp_state * | v,
|  | vorbis_block * | vb
| ) |

void vorbis_comment_add | ( | vorbis_comment * | vc,
|  | char * | comment
| ) |

void vorbis_comment_add_tag | ( | vorbis_comment * | vc,
|  | char * | tag,
|  | char * | contents
| ) |

void vorbis_comment_clear | ( | vorbis_comment * | vc | ) |

void vorbis_comment_init | ( | vorbis_comment * | vc | ) |

char* vorbis_comment_query | ( | vorbis_comment * | vc,
|  | char * | tag,
|  | int | count
| ) |

int vorbis_comment_query_count | ( | vorbis_comment * | vc,
|  | char * | tag
| ) |

int vorbis_commentheader_out | ( | vorbis_comment * | vc,
|  | ogg_packet * | op
| ) |

void vorbis_dsp_clear | ( | vorbis_dsp_state * | v | ) |

void vorbis_info_clear | ( | vorbis_info * | vi | ) |

void vorbis_info_init | ( | vorbis_info * | vi | ) |

long vorbis_packet_blocksize | ( | vorbis_info * | vi,
|  | ogg_packet * | op
| ) |

int vorbis_synthesis | ( | vorbis_block * | vb,
|  | ogg_packet * | op
| ) |

int vorbis_synthesis_blockin | ( | vorbis_dsp_state * | v,
|  | vorbis_block * | vb
| ) |

int vorbis_synthesis_headerin | ( | vorbis_info * | vi,
|  | vorbis_comment * | vc,
|  | ogg_packet * | op
| ) |

int vorbis_synthesis_init | ( | vorbis_dsp_state * | v,
|  | vorbis_info * | vi
| ) |

int vorbis_synthesis_pcmout | ( | vorbis_dsp_state * | v,
|  | float *** | pcm
| ) |

int vorbis_synthesis_read | ( | vorbis_dsp_state * | v,
|  | int | samples
| ) |